Subject: Re: bug#5944: sort with option +4nr does not work now and it used to do it some time ago
From: Jim Meyering <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: [email-masked], "Martinez, Abel" <[email-masked]>
Date: Thu, 15 Apr 2010 12:24:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eric Blake wrote:
> On 04/14/2010 02:13 AM, Martinez, Abel wrote:
>> Hi CoreUtil/SORT developer team:
>>
>> Long time ago I used cygwing to sort file's content by the text
>> available on its 4th column in reverse order (under bash) using ___$sort
>> +4nr file.txt____ .
>>
>> I have tried now same function with the latest cygwing and coreutils
>> sorting package (sort.exe 19-March-2010) and with those options does not
>> work; It says:
>> 	$ sort +4nr ACCESS.txt
>> 	sort: open failed: +4nr: No such file or directory
>
> Not a bug, but a difference in the level of POSIX compliance.  Older
> cygwin defaulted to the 1992 version of POSIX, while newer cygwin
> defaults to 2001.  Per the NEWS file:

Thanks for replying, Eric.
With this message, I'm inserting "-close" into the default Cc'd address
of [email-masked], making it "[email-masked]".
That moves the thread in our bug tracker,

    http://debbugs.gnu.org/coreutils

from "Outstanding Issues" to the "Resolved Bugs" category: